web analytics
1

WhatsApp Setup Error in iOS 9.1


ios-9-problems

If your iPhone / iPad has iOS 9 installed, WhatsApp Messenger does not work and shows the following error message: “Something is wrong with your current version. Please go to the App Store and download the latest version.”

This problem appears on all iPads and iPhones running the latest iOS 9.1 beta firmware. The pop-up error appears after entering your mobile number to setup / verify your WhatsApp account. But in the next step, instead of receiving the verification code, you get the above error message.


It also points you to the “App Store” link to download the latest version of WhatsApp.

In fact, you get this error even when you have the latest version of WhatsApp installed on your device.

ios-9-whatsapp-setup-error

A fresh install of WhatsApp doesn’t fix the problem. There is no solution or fix yet.

We hope the new stable iOS 9 firmware will fix this problem. For now, the only way to setup and use WhatsApp is to downgrade to the earlier iOS beta firmware – but doing so is going to be time-consuming.

Here are some of the tweets:

  • raja777m

    I had ios 9 beta and installed the stable version last night on my 6.
    I get the same error message. Currently I don’t have wifi, so will have to wait until I go home.